Subject: Re: Scrolling bug with word-wrap in emacs -nw

From: Antoine Levitt <[email-masked]>
Date: Fri, 30 Dec 2011 18:10:33 +0100

30/12/11 16:45, Eli Zaretskii
>> From: Antoine Levitt <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 30 Dec 2011 15:01:26 +0100
>> 
>> Here's two patches. The first adds the warning from the info file into
>> the variable definition. The second fixes erc-scrollbottom by using
>> post-command-hook instead of window-scroll-functions.
>> 
>> Can you merge them?
>
> Will do, thanks.
>
>> >   go to window-end
>> >   call posn-at-point
>> >   compare the row returned by posn-at-point with window-height
>> 
>> That works pretty well! (when hooked into post-command-hook) Except that
>> sometimes posn-at-point is nil, presumably because redisplay hasn't
>> taken place yet.
>
> If posn-at-point returns nil, it means point is outside of the
> displayed portion, which in itself is something you may want to know,
> I think.

In some cases, yes. In other cases, it's just that redisplay hasn't
taken place yet (for instance, beginning-of-buffer, then end-of-buffer,
posn-at-point returns nil on the post-command-hook of end-of-buffer)

>
>> I couldn't find a post-redisplay-hook, which might be more
>> appropriate. Is there one?
>
> There's redisplay-end-trigger-functions, but it's deprecated.  Stefan
> expressed the desire to have a hook you want many times in the past,
> but no one stepped forward to do the job yet.

Isn't it just a line at the end of the appropriate function?